#if !defined(AFX_EXTRUDE2DPAGE_H__EF551594_414B_42C6_AD85_E367F59D289F__INCLUDED_)
#define AFX_EXTRUDE2DPAGE_H__EF551594_414B_42C6_AD85_E367F59D289F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Extrude2DPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CExtrude2DPage dialog

class CExtrude2DPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CExtrude2DPage)

// Construction
public:
	CExtrude2DPage();
	~CExtrude2DPage();

// Dialog Data
	//{{AFX_DATA(CExtrude2DPage)
	enum { IDD = IDD_EXTRUDE2DPAGE };
	CString	m_Extrude2D_MaxX;
	CString	m_Extrude2D_AdjustLocation;
	CString	m_Extrude2D_MaxY;
	CString	m_Extrude2D_MaxZ;
	CString	m_Extrude2D_MinX;
	CString	m_Extrude2D_MinY;
	CString	m_Extrude2D_MinZ;
	int		m_Extrude2D_TypeFlag;
	CString	m_Extrude2D_StepAngle;
	CString	m_Extrude2D_Thickness;
	CString	m_Extrude2D_XRotation;
	CString	m_Extrude2D_YRotation;
	CString	m_Extrude2D_ZRotation;
	CString	m_Extrude2D_LayerName;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CExtrude2DPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CExtrude2DPage)
	afx_msg void OnExtrude2dStart();
	afx_msg void OnExtrude2dGetnextlayer();
	virtual BOOL OnInitDialog();
	afx_msg void OnExtrude2dNormal();
	afx_msg void OnExtrude2dFlattop();
	afx_msg void OnExtrude2dFlatbottom();
	afx_msg void OnExtrude2dMarkrotations();
	afx_msg void OnExtrude2dXrotate1();
	afx_msg void OnExtrude2dXrotate2();
	afx_msg void OnExtrude2dYrotate1();
	afx_msg void OnExtrude2dYrotate2();
	afx_msg void OnExtrude2dZrotate1();
	afx_msg void OnExtrude2dZrotate2();
	afx_msg void OnExtrude2dClearrotations();
	afx_msg void OnExtrude2dExtrude();
	afx_msg void OnExtrude2dRedo();
	afx_msg void OnExtrude2dUndo();
	afx_msg void OnExtrude2dStop();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void Extrude2D_Display_Layer_Settings();
	void Extrude2D_Display_Mesh_Size();
	void Extrude2D_Display_Rotations();
	void Extrude2D_GetStepAngle();
	void Extrude2D_Get_Thickness_Adjust();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXTRUDE2DPAGE_H__EF551594_414B_42C6_AD85_E367F59D289F__INCLUDED_)
